# Class GT

java.lang.Object
org.jmol.i18n.GT

All Implemented Interfaces:
  `Translator`

public class GT extends Object implements Translator
The language list is now in org.jmol.i18n.Language -- Bob Hanson, 12/16/12 implementing translations in JavaScript

## Constructor Summary

Constructors
Constructor
Description
`GT()`
`GT(Viewer vr, String langCode)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`$(String string)`
`static String`
`escapeHTML(String msg)`
`static boolean`
`getDoTranslate()`
`static String`
`getLanguage()`
`static Language[]`
`getLanguageList(GT gt)`
`static String`
`i(String s, int n)`
`static void`
`ignoreApplicationBundle()`
`static String`
`o(String s, Object o)`
`static boolean`
`setDoTranslate(boolean TF)`
`String`
`translate(String s)`
used in custom menu translation only

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GT

public GT()

### GT

public GT(Viewer vr, String langCode)

## Method Details

### translate

public String translate(String s)
used in custom menu translation only

Specified by:
  `translate` in interface `Translator`

### getLanguageList

public static Language[] getLanguageList(GT gt)

### getLanguage

public static String getLanguage()

### ignoreApplicationBundle

public static void ignoreApplicationBundle()

### setDoTranslate

public static boolean setDoTranslate(boolean TF)

Parameters:
  `TF` -
Returns:
  initial setting of GT.doTranslate

### getDoTranslate

public static boolean getDoTranslate()

### $

public static String $(String string)

### o

public static String o(String s, Object o)

### i

public static String i(String s, int n)

### escapeHTML

public static String escapeHTML(String msg)